Substy Developers
Intelligence

Initialize intelligence attachment upload

Create upload details for a Substy Intelligence attachment up to 20 MiB. Transfer the file using the returned instructions before attaching its reference to an Intelligence message.

POST/v1/agencies/{agencyId}/intelligence/attachment-uploads

Create upload details for a Substy Intelligence attachment up to 20 MiB. Transfer the file using the returned instructions before attaching its reference to an Intelligence message.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

agencyId*string
Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/agencies/string/intelligence/attachment-uploads" \  -H "Authorization: Bearer YOUR_API_KEY" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "mimeType": "image/jpeg",    "size": 1  }'
{  "data": {    "id": "string",    "objectKey": "string",    "name": "string",    "mimeType": "image/jpeg",    "size": 0,    "kind": "image",    "uploadUrl": "string",    "expiresAt": "2019-08-24T14:15:22Z"  },  "meta": {    "requestId": "string",    "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",    "status": "COMPLETED"  }}